<!-- <ion-card *ngIf="user.status == null; else elseBlock">
  <ion-card-header>
    <ion-card-title>Set Status</ion-card-title>
    <ion-card-subtitle>This message will appear on your profile.</ion-card-subtitle>
  </ion-card-header>
  <ion-card-content>
    <ion-item>
      <ion-label position="floating">What's on your mind !</ion-label>
      <ion-input [(ngModel)]="user.status" type="name" name="status" (ngModelChange)="statusChanged()"></ion-input>
    </ion-item>
    <ion-progress-bar *ngIf="updateStatusInProgress" type="indeterminate"></ion-progress-bar>
    <ion-button *ngIf="user.status != '' && statusInputChanged" (click)="addStatus()">Add Status</ion-button>
  </ion-card-content>
</ion-card>
<ng-template #elseBlock>
  <ion-card>
    <ion-card-header>
      <ion-card-title>Edit Status</ion-card-title>
      <ion-card-subtitle>This message will appear on your profile.</ion-card-subtitle>
    </ion-card-header>
    <ion-card-content>
      <ion-item>
        <ion-label position="floating">What's on your mind !</ion-label>
        <ion-input [(ngModel)]="user.status" type="name" name="status" (ngModelChange)="statusChanged()"></ion-input>
      </ion-item>
      <ion-progress-bar *ngIf="updateStatusInProgress" type="indeterminate"></ion-progress-bar>
      <ion-button *ngIf="user.status != '' && statusInputChanged" (click)="updateStatus()">Update Status</ion-button>
      <ion-button *ngIf="user.status != ''" (click)="removeStatus()" color="danger">Remove Status</ion-button>
    </ion-card-content>
  </ion-card>
</ng-template> -->


<ion-card>
  <ion-card-header *ngIf="user.status == null; else elseBlock">
    <ion-card-title>{{ 'Set Status' | translate }}</ion-card-title>
    <ion-card-subtitle>{{ 'This message will appear on your profile.' | translate }}</ion-card-subtitle>
  </ion-card-header>
  <ng-template #elseBlock>
  <ion-card-header>
    <ion-card-title>{{ 'Edit Status' | translate }}</ion-card-title>
    <ion-card-subtitle>{{ 'This message will appear on your profile.' | translate }}</ion-card-subtitle>
  </ion-card-header>
</ng-template>
  <ion-card-content>
    <ion-item>
      <ion-label position="floating">{{ 'What is on your mind !' | translate }}</ion-label>
      <ion-input [(ngModel)]="user.status" type="name" name="status" (ngModelChange)="statusChanged()"></ion-input>
    </ion-item>
    <ion-progress-bar *ngIf="updateStatusInProgress" type="indeterminate"></ion-progress-bar>
    <ion-button *ngIf="user.status != '' && statusInputChanged" (click)="updateStatus()">{{ 'Update Status' | translate }}</ion-button>
    <ion-button *ngIf="user.status != ''" (click)="removeStatus()" color="danger">{{ 'Remove Status' | translate }}</ion-button>
  </ion-card-content>
</ion-card>